org.apache.ode.bpel.o

## Class OPickReceive.OnMessage

- java.lang.Object
- - org.apache.ode.bpel.o.OBase
  - - org.apache.ode.bpel.o.OPickReceive.OnMessage

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    OPickReceive

      public static class OPickReceive.OnMessage
      extends OBase

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `OActivity` | `activity`
    `java.util.List<OScope.CorrelationSet>` | `initCorrelations` Correlations to initialize.
    `java.util.List<OScope.CorrelationSet>` | `joinCorrelations` Correlations to join on.
    `java.util.List<OScope.CorrelationSet>` | `matchCorrelations` Correlations to match on.
    `java.lang.String` | `messageExchangeId` OASIS addition for disambiguating receives (optional).
    `javax.wsdl.Operation` | `operation`
    `OPartnerLink` | `partnerLink`
    `java.lang.String` | `route`
    `OScope.Variable` | `variable`

    - ### Fields inherited from class org.apache.ode.bpel.o.OBase

      `debugInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OPickReceive.OnMessage(OProcess owner)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCorrelatorId()`

    - ### Methods inherited from class org.apache.ode.bpel.o.OBase

      `dehydrate, digest, equals, getId, getOwner, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### initCorrelations

          public final java.util.List<OScope.CorrelationSet> initCorrelations

      Correlations to initialize.

    - #### matchCorrelations

          public java.util.List<OScope.CorrelationSet> matchCorrelations

      Correlations to match on.

    - #### joinCorrelations

          public final java.util.List<OScope.CorrelationSet> joinCorrelations

      Correlations to join on.

    - #### partnerLink

          public OPartnerLink partnerLink

    - #### operation

          public javax.wsdl.Operation operation

    - #### variable

          public OScope.Variable variable

    - #### activity

          public OActivity activity

    - #### messageExchangeId

          public java.lang.String messageExchangeId

      OASIS addition for disambiguating receives (optional).

    - #### route

          public java.lang.String route

  - ### Constructor Detail

    - #### OPickReceive.OnMessage

          public OPickReceive.OnMessage(OProcess owner)

  - ### Method Detail

    - #### getCorrelatorId

          public java.lang.String getCorrelatorId()